package com.avinashgotluru.zendesk_classic;

import android.content.Context;

import zendesk.answerbot.AnswerBot;
import zendesk.chat.Chat;
import zendesk.chat.ChatConfiguration;
import zendesk.chat.ChatEngine;
import zendesk.chat.JwtAuthenticator;
import zendesk.classic.messaging.MessagingActivity;
import zendesk.core.Zendesk;
import zendesk.support.Guide;
import zendesk.support.Support;

public class ZendeskService extends ZendeskBase {

    @Override
    void init(Context context, String zendeskUrl, String appId, String oauthClientId, String chatAccountKey) {
        Zendesk.INSTANCE.init(context, zendeskUrl, appId, oauthClientId);
        Support.INSTANCE.init(Zendesk.INSTANCE);
        AnswerBot.INSTANCE.init(Zendesk.INSTANCE, Guide.INSTANCE);
        Chat.INSTANCE.init(context, chatAccountKey);
    }

    @Override
    void initZendesk(Context context, String zendeskUrl, String appId, String oauthClientId) {

    }

    @Override
    void initZendeskSupport() {
        Support.INSTANCE.init(Zendesk.INSTANCE);
    }

    @Override
    void initZendeskBot() {
        AnswerBot.INSTANCE.init(Zendesk.INSTANCE, Guide.INSTANCE);
    }

    @Override
    void initZendeskChat(Context context, String chatAccountKey) {
        Chat.INSTANCE.init(context, chatAccountKey);


    }

    @Override
    void setIdentity(String token) {
        Chat.INSTANCE.setIdentity(jwtAuth(token));
    }

    @Override
    void resetIdentity() {
        Chat.INSTANCE.resetIdentity();
    }


    JwtAuthenticator jwtAuth(String token) {
        JwtAuthenticator jwtAuthenticator = jwtCompletion -> {
            //Fetch or generate the JWT token at this point
            //OnSuccess
            jwtCompletion.onTokenLoaded(token);
            //OnError
            jwtCompletion.onError();
        };
        return jwtAuthenticator;
    }
}
