/* MIT License

Copyright (c) 2023 Avinash Gotluru

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.*/

import 'zendesk_classic_platform_interface.dart';

///[ZendeskClassic] create the MethodChannel[ZendeskClassic] at Initial
class ZendeskClassic {
  ///[initZendeskChat] Initialized the field required for zendesk chat
  /// [chatAccountKey] chat account key is required field to initialize a zendesk chat
  /// [barTintColor] is optional field which will use to set app bar color
  /// [tintColor] is optional field which will use to set tint color color
  /// [backgroundColor] is optional field which will use to set background color
  /// [botName] is optional field which will use to set bot name
  Future<void> initZendeskChat(
    String chatAccountKey, {
    int? barTintColor,
    int? tintColor,
    int? backgroundColor,
    String? botName,
  }) {
    return ZendeskClassicPlatform.instance.initZendeskChat(
        chatAccountKey: chatAccountKey,
        barTintColor: barTintColor,
        backgroundColor: backgroundColor,
        tintColor: tintColor,
        botName: botName);
  }
}
