import 'package:flutter_test/flutter_test.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';
import 'package:zendesk_classic/zendesk_classic_method_channel.dart';
import 'package:zendesk_classic/zendesk_classic_platform_interface.dart';

class MockZendeskClassicPlatform
    with MockPlatformInterfaceMixin
    implements ZendeskClassicPlatform {
  @override
  Future<void> initZendeskChat({
    required String chatAccountKey,
    int? barTintColor,
    int? tintColor,
    int? backgroundColor,
    String? botName,
  }) {
    throw UnimplementedError();
  }
}

void main() {
  final ZendeskClassicPlatform initialPlatform =
      ZendeskClassicPlatform.instance;

  test('$MethodChannelZendeskClassic is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelZendeskClassic>());
  });
}
